MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions
sc::OutSimpleCo Class Reference
Inheritance diagram for sc::OutSimpleCo:

List of all members.

## Public Member Functions

| OutSimpleCo (const OutSimpleCo &)
| OutSimpleCo (const char *refr, int, int, int, int)
| This constructor takes a string containing a label, and four integers a, b, c, and d which give the indices of the atoms involved in the out-of-plane angle abcd.
| OutSimpleCo (const Ref< KeyVal > &)
| The KeyVal constructor.
const char * | ctype () const
| Always returns the string "OUT".
double | radians () const
| Returns the value of the angle abc in radians.
double | degrees () const
| Returns the value of the angle abc in degrees.
double | preferred_value () const
| Returns the value of the angle abc in degrees.

## Constructor & Destructor Documentation

sc::OutSimpleCo::OutSimpleCo | ( | const char * | refr,
|  | int | ,
|  | int | ,
|  | int | ,
|  | int |
| ) |  |

This constructor takes a string containing a label, and four integers a, b, c, and d which give the indices of the atoms involved in the out-of-plane angle abcd.

Atom numbering begins at atom 1, not atom 0.

sc::OutSimpleCo::OutSimpleCo | ( | const Ref< KeyVal > & |  | ) |

The KeyVal constructor.

This calls the SimpleCo keyval constructor with an integer argument of 4.

The documentation for this class was generated from the following file:

- simple.h